This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1462398 - GNOME Online Accounts fails to retrieve account credentials from the keyring.
GNOME Online Accounts fails to retrieve account credentials from the keyring.
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-online-accounts (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-17 01:04 EDT by Ryan Farmer
Modified: 2017-10-17 05:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Farmer 2017-06-17 01:04:06 EDT
Description of problem:

Periodically, Evolution says it can't get my email from the IMAP servers that I use because it can't fetch my credentials from the keyring. 


Version-Release number of selected component (if applicable):

gnome-online-accounts-3.24.1-1.fc26.x86_64


How reproducible:

The problem is sporadic, but happens often enough to be annoying. 


Steps to Reproduce:

1. Open Evolution (with at least Gmail and Outlook being affected in my experience).

2. IMAP folders are not loaded. Evolution displays error about being unable to retrieve credentials from the keyring.

3. If you go to GNOME Online Accounts, it will tell you that your login authorization tokens have expired. Attempting to remove the accounts results in an error message saying that it was unable to remove the account, but adding the account back, GNOME Online Accounts will simply bring up a login page for Google/Microsoft/etc that asks you to reauthorize GNOME to access your account. Once you do, nothing visibly happens. The logins still do not work with GNOME. If you open Seahorse, you'll see that GNOME Online Accounts puts a separate entry in your keyring for every time you've tried this. 

Actual results:

Hitting Send/Receive results in even more error messages unless workaround is applied. (See below.)


Expected results:

Evolution updates my email with no errors.


Additional info:

Workaround is to hit Alt+F2 and type /usr/libexec/goa-daemon --replace. Then when you hit Send/Receive, Evolution fetches your email and GNOME Online Accounts works okay again until next time. I found someone with this problem who was using GNOME 3.24 on Arch Linux, and adjusted the path to goa-daemon for Fedora.
Comment 1 AsciiWolf 2017-09-30 09:56:41 EDT
Same problem here, but in my case, it happens every time I log out of my desktop session and log in again. Thanks for the workaround!
Comment 2 AsciiWolf 2017-09-30 09:58:50 EDT
By the way, I think that this issue was already reported few months ago in RH or GNOME bugzilla, but I am unable to find it.

Note You need to log in before you can comment on or make changes to this bug.